package context

import (
	"net/http"

	"git.polynom.me/rio/internal/metrics"
	"git.polynom.me/rio/internal/repo"
)

type GlobalContext struct {
	DefaultCSP   string
	PagesDomain  string
	Gitea        *repo.GiteaClient
	MetricConfig *metrics.LokiMetricConfig
}

type Context struct {
	Username string
	Reponame string
	Domain   string
	Path     string

	// HTTP Stuff
	Referrer  string
	UserAgent string
	Writer    http.ResponseWriter

	// Pointer to the global context
	Global *GlobalContext
}
